This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 877365 (CVE-2012-5511, CVE-2012-6333)

Summary: CVE-2012-5511 CVE-2012-6333 kernel: xen: several HVM operations do not validate the range of their inputs
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: drjones, imammedo, jlieskov, lersek, pbonzini, security-response-team, tburke
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121203,reported=20121115,source=upstream,cvss2=5.5/AV:A/AC:L/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 10:03:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 883084    
Bug Blocks: 877406    

Description Petr Matousek 2012-11-16 06:07:55 EST
Several HVM control operations do not check the size of their inputs
and can tie up a physical CPU for extended periods of time.
                                                                                                                                                             
In addition dirty video RAM tracking involves clearing the bitmap
provided by the domain controlling the guest (e.g. dom0 or a
stubdom). If the size of that bitmap is overly large, an intermediate
variable on the hypervisor stack may overflow that stack.
                                                                                                                                                             
A malicious guest administrator can cause Xen to become unresponsive
or to crash leading in either case to a Denial of Service.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2012-11-16 06:28:09 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-12-03 13:10:11 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 883084]
Comment 5 Fedora Update System 2012-12-11 19:16:14 EST
xen-4.2.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-13 01:00:18 EST
xen-4.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Petr Matousek 2012-12-13 09:17:47 EST
*** Bug 886863 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2012-12-15 12:55:47 EST
xen-4.1.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.